Subject: [bug#48314] [PATCH v5] Install guix system on Raspberry Pi

From: Ludovic Courtès <[email-masked]>
Date: Wed, 05 Oct 2022 15:02:53 +0200

Hi,

Vagrant, Danny: could you take a look at these patches?  They seem to
have fallen through the cracks.

TIA.  :-)

Ludo’.

Stefan <[email-masked]> skribis:

> Hi!
>
> I did a rebase onto commit 2e8b4f9bfa00489fd3acff305837a79af236e183.
>
> Vagrant, there was a comment left about removing "CONFIG_BOOTDELAY=1" for the u-boot, this is now done. I think all review comments have been applied.
>
> There is a new u-boot-rockpro64-rk3399 which I adapted as well to use the #:configs keyword argument.
>
> The function modify-defconfig in guix/build/kconfig.scm no longer interprets "CONFIG_XY=" like "# CONFIG_XY is not set".
>
>
> Bye
>
> Stefan